Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler.event
Class SchedulerEvent

    java.lang.Object
      oracle.ias.scheduler.event.SchedulerEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JobCompletedEvent, JobCreatedEvent, JobExecutionPausedEvent, JobExecutionThresholdExceededEvent, JobPausedEvent, JobRemovedEvent, JobResumedEvent, RestartEvent

public abstract class SchedulerEvent
extends java.lang.Object
implements java.io.Serializable

Base class for all events.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `m_source`
`protected long` | `m_timestamp`

Constructor Summary
`SchedulerEvent()`
`SchedulerEvent(java.lang.Object source)`

Method Summary
`boolean` | `equals(java.lang.Object v)`
`JobHandle` | `getHandle()` Retrieve the job handle associated with the event.
`java.lang.Object` | `getSource()`
`long` | `getTimestamp()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_source

    protected java.lang.Object m_source

### m_timestamp

    protected long m_timestamp

Constructor Detail

### SchedulerEvent

    public SchedulerEvent()

### SchedulerEvent

    public SchedulerEvent(java.lang.Object source)

Method Detail

### getSource

    public java.lang.Object getSource()

### getTimestamp

    public long getTimestamp()

### getHandle

    public JobHandle getHandle()

  Retrieve the job handle associated with the event.

  Returns:
    job handle

### equals

    public boolean equals(java.lang.Object v)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.